## org.eclipse.datatools.sqltools.result
Class ResultConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ResultConfiguration

    public class ResultConfiguration

extends java.lang.Object

Store preference in non-ui part of result view.

Author:
  juewu

Method Summary
`static ResultConfiguration` `getInstance()`
`int` `getMaxDisplayRowCount()`
`int` `getMaxRowCount()`
`boolean` `isAutoClean()`
`boolean` `isAutoSave()`
`boolean` `isShowLabel()`
`void` `setAutoClean(boolean autoClean)`
`void` `setAutoSave(boolean autoSave)`
`void` `setMaxDisplayRowCount(int maxDisplayRowCount)`
`void` `setMaxRowCount(int maxRowCount)`
`void` `setShowLabel(boolean showLabel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ResultConfiguration getInstance()

### setMaxRowCount

    public void setMaxRowCount(int maxRowCount)

### getMaxRowCount

    public int getMaxRowCount()

### setMaxDisplayRowCount

    public void setMaxDisplayRowCount(int maxDisplayRowCount)

### getMaxDisplayRowCount

    public int getMaxDisplayRowCount()

### setShowLabel

    public void setShowLabel(boolean showLabel)

### isShowLabel

    public boolean isShowLabel()

### setAutoSave

    public void setAutoSave(boolean autoSave)

### isAutoSave

    public boolean isAutoSave()

### setAutoClean

    public void setAutoClean(boolean autoClean)

### isAutoClean

    public boolean isAutoClean()